%define oname   simplecov

Name:       ruby-%{oname}
Version:    0.21.2
Release:    %mkrel 2
Summary:    Code coverage for Ruby 1.9 with a powerful configuration library
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/colszowka/simplecov
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Obsoletes:  ruby-rcov < 1.0.0-2
Obsoletes:  ruby-rcov-doc < 1.0.0-2

%description
Code coverage for Ruby 1.9 with a powerful configuration library and
automatic merging of coverage across test suites

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
Obsoletes:	ruby-rcov < 1.0.0-2

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Jun 24 2022 papoteur <papoteur> 0.21.2-2.mga9
+ Revision: 1866024
- Mass Rebuild for dependencies

* Tue May 03 2022 pterjan <pterjan> 0.21.2-1.mga9
+ Revision: 1855679
- Update to 0.21.2

* Fri Mar 25 2022 umeabot <umeabot> 0.18.5-2.mga9
+ Revision: 1826528
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 0.18.5-1.mga8
+ Revision: 1561496
- Update to 0.18.5

* Wed Feb 12 2020 umeabot <umeabot> 0.16.1-3.mga8
+ Revision: 1507974
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.16.1-2.mga7
+ Revision: 1291234
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 0.16.1-1.mga7
+ Revision: 1214365
- Update to 0.16.1

* Sun Aug 20 2017 pterjan <pterjan> 0.15.0-1.mga7
+ Revision: 1141923
- Update to 0.15.0

* Sat Apr 23 2016 pterjan <pterjan> 0.11.2-1.mga6
+ Revision: 1005736
- Update to 0.11.2

* Sat Mar 12 2016 pterjan <pterjan> 0.11.1-1.mga6
+ Revision: 989743
- Update to 0.11.1

* Sat Feb 06 2016 umeabot <umeabot> 0.7.1-10.mga6
+ Revision: 941938
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-9.mga5
+ Revision: 745110
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-8.mga5
+ Revision: 688962
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.7.1-7.mga4
+ Revision: 562497
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.7.1-6.mga4
+ Revision: 539397
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 fwang <fwang> 0.7.1-5.mga4
+ Revision: 492093
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.7.1-4.mga3
+ Revision: 396488
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.7.1-3.mga3
+ Revision: 381483
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 shikamaru <shikamaru> 0.7.1-2.mga3
+ Revision: 333392
- fix obsolete

* Sun Nov 04 2012 fwang <fwang> 0.7.1-1.mga3
+ Revision: 313845
- new version 0.7.1

* Sat Apr 16 2011 shikamaru <shikamaru> 0.4.2-1.mga1
+ Revision: 86340
- add buildrequires for testsuite
- imported package ruby-simplecov


* Sat Apr 16 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.4.2-1
- Initial package
